KDateInternalMonthPicker class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDateInternalMonthPicker Class Reference

A table containing month names. More...

`#include <kdatetbl.h>`

Inheritance diagram for KDateInternalMonthPicker:

[legend]
Collaboration diagram for KDateInternalMonthPicker:

[legend]
List of all members.

## Signals
void | closeMe (int)
| This is send from the mouse click event handler.
## Public Member Functions
| KDateInternalMonthPicker (int fontsize, QWidget *parent, const char *name=0)
| The constructor.
QSize | sizeHint () const
| The size hint.
int | getResult () const
| Return the result.
## Protected Member Functions
void | setupPainter (QPainter *p)
| Set up the painter.
virtual void | viewportResizeEvent (QResizeEvent *)
| The resize event.
virtual void | paintCell (QPainter *painter, int row, int col)
| Paint a cell.
virtual void | contentsMousePressEvent (QMouseEvent *e)
| Catch mouse click and move events to paint a rectangle around the item.
virtual void | contentsMouseMoveEvent (QMouseEvent *e)
virtual void | contentsMouseReleaseEvent (QMouseEvent *e)
| Emit monthSelected(int) when a cell has been released.
## Protected Attributes
int | result
| Store the month that has been clicked [1..12].
short int | activeCol
| the cell under mouse cursor when LBM is pressed
short int | activeRow
QRect | max
| Contains the largest rectangle needed by the month names.

## Detailed Description

A table containing month names.

It is used to pick a month directly.

Definition at line 61 of file kdatetbl.h.

## Constructor & Destructor Documentation

KDateInternalMonthPicker::KDateInternalMonthPicker | ( | int | fontsize,
|  | QWidget * | parent,
|  | const char * | name = 0
| ) |

| The constructor. Definition at line 469 of file kdatetbl.cpp. References KGlobalSettings::baseColor(), QFontMetrics::boundingRect(), KGlobalSettings::generalFont(), QRect::height(), KGlobal::locale(), KStdAccel::name(), QFont::setPointSize(), and QRect::width().

## Member Function Documentation

void KDateInternalMonthPicker::closeMe | ( | int |  | ) | `[signal]`

| This is send from the mouse click event handler. Referenced by contentsMouseReleaseEvent().

QSize KDateInternalMonthPicker::sizeHint | ( |  | ) | const

| The size hint. Definition at line 502 of file kdatetbl.cpp. References QRect::height(), max, QGridView::numCols(), QGridView::numRows(), and QRect::width().

int KDateInternalMonthPicker::getResult | ( |  | ) | const

| Return the result. 0 means no selection (reject()), 1..12 are the months. Definition at line 509 of file kdatetbl.cpp. References result.

void KDateInternalMonthPicker::setupPainter | ( | QPainter * | p | ) | `[protected]`

| Set up the painter. Definition at line 515 of file kdatetbl.cpp. References QPainter::setPen(), and KGlobalSettings::textColor().

void KDateInternalMonthPicker::viewportResizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

| The resize event. Definition at line 521 of file kdatetbl.cpp. References QGridView::setCellHeight(), and QGridView::setCellWidth().

void KDateInternalMonthPicker::paintCell | ( | QPainter * | painter,
|  | int | row,
|  | int | col
| ) | `[protected, virtual]`

| Paint a cell. This simply draws the month names in it. Reimplemented from QGridView. Definition at line 528 of file kdatetbl.cpp. References activeCol, QGridView::cellHeight(), QGridView::cellWidth(), QPainter::drawRect(), QPainter::drawText(), KGlobal::locale(), and KLocale::monthName().

void KDateInternalMonthPicker::contentsMousePressEvent | ( | QMouseEvent * | e | ) | `[protected, virtual]`

| Catch mouse click and move events to paint a rectangle around the item. Definition at line 541 of file kdatetbl.cpp. References activeCol, KNotifyClient::beep(), QMouseEvent::button(), QGridView::columnAt(), QMouseEvent::pos(), QGridView::rowAt(), QGridView::updateCell(), QPoint::x(), and QPoint::y().

void KDateInternalMonthPicker::contentsMouseReleaseEvent | ( | QMouseEvent * | e | ) | `[protected, virtual]`

| Emit monthSelected(int) when a cell has been released. Definition at line 608 of file kdatetbl.cpp. References closeMe(), QGridView::columnAt(), QMouseEvent::pos(), result, QGridView::rowAt(), QPoint::x(), and QPoint::y().

## Member Data Documentation

int KDateInternalMonthPicker::result`[protected]`

| Store the month that has been clicked [1..12]. Definition at line 68 of file kdatetbl.h. Referenced by contentsMouseReleaseEvent(), and getResult().

short int KDateInternalMonthPicker::activeCol`[protected]`

| the cell under mouse cursor when LBM is pressed Definition at line 72 of file kdatetbl.h. Referenced by contentsMousePressEvent(), and paintCell().

QRect KDateInternalMonthPicker::max`[protected]`

| Contains the largest rectangle needed by the month names. Definition at line 77 of file kdatetbl.h. Referenced by sizeHint().

The documentation for this class was generated from the following files:

- kdatetbl.h
- kdatetbl.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:59:31 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001